/*
 * Created on 04.01.2006
 *
 * Copyright --- All rights reserved.
 * ITI, Universität Karlsruhe, Germany.
 */
package de.uka.algo.GT3D.exceptions;

/**
 * @author stm
 * 
 * An Exception indicating that the algorithm has run into an undefined state
 * 
 */
public class BadStateException extends RuntimeException {

	public BadStateException() {
		super();
	}

	public BadStateException(String message, Throwable cause) {
		super(message, cause);
	}

	public BadStateException(String message) {
		super(message);
	}

	public BadStateException(Throwable cause) {
		super(cause);
	}

}
